#include <iostream>

using namespace std;

int index(int niz[], int n, int k) {
	for(int i = 0; i < n; i++) {
		if(niz[i] == k)
			return i;
	}
}

int main()
{
	int n, k;
	cin >> n >> k;
	int niz[n];
	
	for(int i = 0; i < n; i++) {
		cin >> niz[i];
	}
	
	int j = index(niz, n, k)+1;
	
	if(index(niz, n, k) == n-1)
		cout << niz[0];
	else	
		cout << niz[j];
}